import request from '@/utils/request'

// 查询课堂笔记列表
export function listUserCourseNote(query) {
  return request({
    url: '/course/userCourseNote/list',
    method: 'get',
    params: query
  })
}

// 查询课堂笔记详细
export function getUserCourseNote(noteId) {
  return request({
    url: '/course/userCourseNote/' + noteId,
    method: 'get'
  })
}

// 新增课堂笔记
export function addUserCourseNote(data) {
  return request({
    url: '/course/userCourseNote',
    method: 'post',
    data: data
  })
}

// 修改课堂笔记
export function updateUserCourseNote(data) {
  return request({
    url: '/course/userCourseNote',
    method: 'put',
    data: data
  })
}

// 删除课堂笔记
export function delUserCourseNote(noteId) {
  return request({
    url: '/course/userCourseNote/' + noteId,
    method: 'delete'
  })
}

// 导出课堂笔记
export function exportUserCourseNote(query) {
  return request({
    url: '/course/userCourseNote/export',
    method: 'get',
    params: query
  })
}